<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/GUI/Credits/CreditsLoader.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d64/_credits_loader_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CreditsLoader.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d64/_credits_loader_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/dc8/class_credits_loader.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/dc8/class_credits_loader.html">CreditsLoader</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/dc8/class_credits_loader.html#aebb0b4646bbe200049c08d532e135051">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d9/dc8/class_credits_loader.html#aebb0b4646bbe200049c08d532e135051">JSON_FILE_PATH</a> = <span class="stringliteral">&quot;Scripts/Data/credits.json&quot;</span>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/dc8/class_credits_loader.html#a642d551fcee60f5f49e79a2fb153a822">    5</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/dc8/class_credits_loader.html#a642d551fcee60f5f49e79a2fb153a822">CreateTestJson</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="keywordtype">string</span> test_name_department = <span class="stringliteral">&quot;Department&quot;</span>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <span class="keywordtype">string</span> test_name_setion     = <span class="stringliteral">&quot;Section&quot;</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="keywordtype">string</span> test_name_line       = <span class="stringliteral">&quot;Line&quot;</span>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_class" href="../../d1/d3e/class_json_data_credits.html">JsonDataCredits</a> data = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/d3e/class_json_data_credits.html">JsonDataCredits</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        data.<a class="code hl_variable" href="../../d1/d3e/class_json_data_credits.html#a9a70a463044f1fbfb0fb8d4a200d6a47">Departments</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref JsonDataCreditsDepartment&gt;</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">for</span>( <span class="keywordtype">int</span> index_dep = 0; index_dep &lt; 3; ++index_dep )</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            ref <a class="code hl_class" href="../../d3/d49/class_json_data_credits_department.html">JsonDataCreditsDepartment</a> data_department = <span class="keyword">new</span> <a class="code hl_class" href="../../d3/d49/class_json_data_credits_department.html">JsonDataCreditsDepartment</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            data_department.<a class="code hl_variable" href="../../d3/d49/class_json_data_credits_department.html#a26dc57d089aad8ee74b0d6a49fd64877">Sections</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref JsonDataCreditsSection&gt;</a>;           </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            data_department.DepartmentName = (test_name_department +<span class="stringliteral">&quot; &quot;</span>+ index_dep);            </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <span class="keywordflow">for</span>( <span class="keywordtype">int</span> index_sec = 0; index_sec &lt; 4; ++index_sec )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                ref <a class="code hl_class" href="../../d8/dba/class_json_data_credits_section.html">JsonDataCreditsSection</a> data_section = <span class="keyword">new</span> <a class="code hl_class" href="../../d8/dba/class_json_data_credits_section.html">JsonDataCreditsSection</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>                data_section.<a class="code hl_variable" href="../../d8/dba/class_json_data_credits_section.html#ad4e997dc50d530e518048888e9403d11">SectionLines</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                data_section.SectionName = (test_name_setion +<span class="stringliteral">&quot; &quot;</span>+ index_sec);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                <span class="keywordtype">int</span> lines_count = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>(3, 10);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                <span class="keywordflow">for</span>( <span class="keywordtype">int</span> i = 0; i &lt; lines_count; ++i )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                    data_section.SectionLines.Insert( test_name_line +<span class="stringliteral">&quot; &quot;</span>+ i );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                }   </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                data_department.Sections.Insert( data_section );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            data.<a class="code hl_variable" href="../../d1/d3e/class_json_data_credits.html#a9a70a463044f1fbfb0fb8d4a200d6a47">Departments</a>.Insert( data_department );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        JsonFileLoader&lt;ref JsonDataCredits&gt;.JsonSaveFile( <a class="code hl_variable" href="../../d9/dc8/class_credits_loader.html#aebb0b4646bbe200049c08d532e135051">JSON_FILE_PATH</a>, data );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d9/dc8/class_credits_loader.html#a6a5730342275ff589a7f0d6ecf173e91">   41</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d1/d3e/class_json_data_credits.html">JsonDataCredits</a> <a class="code hl_function" href="../../d9/dc8/class_credits_loader.html#a6a5730342275ff589a7f0d6ecf173e91">GetData</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        ref <a class="code hl_class" href="../../d1/d3e/class_json_data_credits.html">JsonDataCredits</a> data;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        JsonFileLoader&lt;ref JsonDataCredits&gt;.JsonLoadFile( <a class="code hl_variable" href="../../d9/dc8/class_credits_loader.html#aebb0b4646bbe200049c08d532e135051">JSON_FILE_PATH</a>, data );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> data;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>};</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="ttc" id="aclass_credits_loader_html"><div class="ttname"><a href="../../d9/dc8/class_credits_loader.html">CreditsLoader</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d64/_credits_loader_8c_source.html#l00001">CreditsLoader.c:2</a></div></div>
<div class="ttc" id="aclass_credits_loader_html_a642d551fcee60f5f49e79a2fb153a822"><div class="ttname"><a href="../../d9/dc8/class_credits_loader.html#a642d551fcee60f5f49e79a2fb153a822">CreditsLoader::CreateTestJson</a></div><div class="ttdeci">static void CreateTestJson()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d64/_credits_loader_8c_source.html#l00005">CreditsLoader.c:5</a></div></div>
<div class="ttc" id="aclass_credits_loader_html_a6a5730342275ff589a7f0d6ecf173e91"><div class="ttname"><a href="../../d9/dc8/class_credits_loader.html#a6a5730342275ff589a7f0d6ecf173e91">CreditsLoader::GetData</a></div><div class="ttdeci">static JsonDataCredits GetData()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d64/_credits_loader_8c_source.html#l00041">CreditsLoader.c:41</a></div></div>
<div class="ttc" id="aclass_credits_loader_html_aebb0b4646bbe200049c08d532e135051"><div class="ttname"><a href="../../d9/dc8/class_credits_loader.html#aebb0b4646bbe200049c08d532e135051">CreditsLoader::JSON_FILE_PATH</a></div><div class="ttdeci">static protected const string JSON_FILE_PATH</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d64/_credits_loader_8c_source.html#l00003">CreditsLoader.c:3</a></div></div>
<div class="ttc" id="aclass_json_data_credits_department_html"><div class="ttname"><a href="../../d3/d49/class_json_data_credits_department.html">JsonDataCreditsDepartment</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d27/_json_data_credits_department_8c_source.html#l00001">JsonDataCreditsDepartment.c:2</a></div></div>
<div class="ttc" id="aclass_json_data_credits_department_html_a26dc57d089aad8ee74b0d6a49fd64877"><div class="ttname"><a href="../../d3/d49/class_json_data_credits_department.html#a26dc57d089aad8ee74b0d6a49fd64877">JsonDataCreditsDepartment::Sections</a></div><div class="ttdeci">ref array&lt; ref JsonDataCreditsSection &gt; Sections</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d27/_json_data_credits_department_8c_source.html#l00004">JsonDataCreditsDepartment.c:4</a></div></div>
<div class="ttc" id="aclass_json_data_credits_html"><div class="ttname"><a href="../../d1/d3e/class_json_data_credits.html">JsonDataCredits</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1d/_json_data_credits_8c_source.html#l00001">JsonDataCredits.c:2</a></div></div>
<div class="ttc" id="aclass_json_data_credits_html_a9a70a463044f1fbfb0fb8d4a200d6a47"><div class="ttname"><a href="../../d1/d3e/class_json_data_credits.html#a9a70a463044f1fbfb0fb8d4a200d6a47">JsonDataCredits::Departments</a></div><div class="ttdeci">ref array&lt; ref JsonDataCreditsDepartment &gt; Departments</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1d/_json_data_credits_8c_source.html#l00003">JsonDataCredits.c:3</a></div></div>
<div class="ttc" id="aclass_json_data_credits_section_html"><div class="ttname"><a href="../../d8/dba/class_json_data_credits_section.html">JsonDataCreditsSection</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc2/_json_data_credits_section_8c_source.html#l00001">JsonDataCreditsSection.c:2</a></div></div>
<div class="ttc" id="aclass_json_data_credits_section_html_ad4e997dc50d530e518048888e9403d11"><div class="ttname"><a href="../../d8/dba/class_json_data_credits_section.html#ad4e997dc50d530e518048888e9403d11">JsonDataCreditsSection::SectionLines</a></div><div class="ttdeci">ref array&lt; string &gt; SectionLines</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc2/_json_data_credits_section_8c_source.html#l00004">JsonDataCreditsSection.c:4</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gac34f9f8daa0e311b6a6b40cc21d38226"><div class="ttname"><a href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">Math::RandomInt</a></div><div class="ttdeci">static proto int RandomInt(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [exclusive].</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5eeb77025424db54adeee8e59c1563e2.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_1da01d3add201d42ea6b7e8999214267.html">Credits</a></li><li class="navelem"><a class="el" href="../../d5/d64/_credits_loader_8c.html">CreditsLoader.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
